For anyone interested, I made some icon eye candy for newly created OnDemand items.
Only works if the extension in question is already loaded and then added to OnDemand.
If ImageMagick is installed, a semi transparent icon will be generated, which will be used by wbar until the OnDemand item is loaded.
--- /tmp/core/usr/bin/ondemand
+++ /tmp/more/usr/bin/ondemand
@@ -117,6 +117,23 @@
echo 'ondemand -e '"$EXTN"' "$@"' >> "$FILE"
chmod +x "$FILE"
+if [ -e "$FREEDESKTOP"/"$APPNAME".desktop ]; then
+ FREEDESKICON="$(/bin/busybox awk 'BEGIN {FS = "="} {if ( $1 == "X-FullPathIcon" ) {icon = $2}} END {print icon}' "$FREEDESKTOP"/"$APPNAME".desktop)"
+fi
+if [ -z "$FREEDESKICON" ] && [ -e /usr/local/share/pixmaps/"$APPNAME".png ]; then
+ FREEDESKICON="/usr/local/share/pixmaps/$APPNAME.png"
+fi
+if [ -n "$FREEDESKICON" ]; then
+ # convert PNG to be semi-transparent via ImageMagick, if available.
+ if [ $(which convert) ]; then
+ convert "$FREEDESKICON" \
+ -alpha set -channel A -evaluate multiply 0.6 +channel \
+ /etc/sysconfig/tcedir/ondemand/"$APPNAME".img
+ else
+ cp "$FREEDESKICON" /etc/sysconfig/tcedir/ondemand/"$APPNAME".img
+ fi
+fi
+
# Optional as flwm does not need a make_ondemand.
[ $(which ${DESKTOP}_ondemand) ] && ${DESKTOP}_ondemand "$APPNAME"
Needs manual modification of core.gz .